## org.exist.xquery
Class ChildSelector

    java.lang.Object
      org.exist.xquery.ChildSelector

All Implemented Interfaces:
  NodeSelector

public class ChildSelector
extends java.lang.Object
implements NodeSelector

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Constructor Summary
`ChildSelector(NodeSet contextSet, int contextId)`

Method Summary
`NodeProxy` `match(DocumentImpl doc, NodeId nodeId)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChildSelector

    public ChildSelector(NodeSet contextSet,
                         int contextId)

Method Detail

### match

    public NodeProxy match(DocumentImpl doc,
                           NodeId nodeId)

  Specified by:
    `match` in interface `NodeSelector`

Copyright (C) Wolfgang Meier. All rights reserved.